org.eclipse.net4j.util.ref

## Class KeyedStrongReference<K,T>

- java.lang.Object
- - org.eclipse.net4j.util.ref.KeyedStrongReference<K,T>

- All Implemented Interfaces:
    KeyedReference<K,T>

      public class KeyedStrongReference<K,T>
      extends Object
      implements KeyedReference<K,T>

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyedStrongReference(K key, T ref)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `boolean` | `enqueue()`
    `T` | `get()`
    `K` | `getKey()`
    `ReferenceType` | `getType()`
    `boolean` | `isEnqueued()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyedStrongReference

          public KeyedStrongReference(K key,
                                      T ref)

  - ### Method Detail

    - #### getType

          public ReferenceType getType()

      Specified by:
        `getType` in interface `KeyedReference<K,T>`

    - #### getKey

          public K getKey()

      Specified by:
        `getKey` in interface `KeyedReference<K,T>`

    - #### get

          public T get()

      Specified by:
        `get` in interface `KeyedReference<K,T>`
      See Also:
        `Reference.get()`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `KeyedReference<K,T>`
      See Also:
        `Reference.clear()`

    - #### isEnqueued

          public boolean isEnqueued()

      Specified by:
        `isEnqueued` in interface `KeyedReference<K,T>`
      See Also:
        `Reference.isEnqueued()`

    - #### enqueue

          public boolean enqueue()

      Specified by:
        `enqueue` in interface `KeyedReference<K,T>`
      See Also:
        `Reference.enqueue()`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html